Get presentation presets.
curl --request GET \
--url https://test.didxtech.com/me-creds/api/presets/presentations \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/presets/presentations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/presets/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "didx:basic-identity-request",
"author": "didx",
"code": "basic-identity-request",
"templateName": "Basic Identity Request",
"templateDescription": "Standard request for basic identity information",
"templateCredentials": [
{
"format": "sd-jwt-vc",
"name": "Basic Identity Credential",
"description": "A credential containing basic identity information",
"type": "https://didx.co.za/vct/didx/basic-identity",
"attributes": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
}
},
"trustedIssuers": [
{
"kind": "did",
"did": "did:web:issuer.example.com",
"name": "Example Identity Issuer"
}
]
},
{
"format": "mdoc",
"name": "Mobile Driving Licence",
"description": "ISO 18013-5 mDL credential",
"type": "org.iso.18013.5.1.mDL",
"trustedIssuers": [],
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"given_name": {
"intentToRetain": false
},
"family_name": {
"intentToRetain": false
}
}
}
}
}
],
"verifierConfig": {
"signer": "did:web"
},
"namespace": "public",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Presentation Presets API
Get presentation presets
deprecated
GET
/
presets
/
presentations
Get presentation presets.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
public, private ⌘I

